<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:fo="http://www.w3.org/1999/XSL/Format"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.w3.org/1999/XSL/Format fop.xsd"
	xmlns:d="http://docbook.org/ns/docbook">

	<xsl:output method="xml" encoding="utf-8" indent="yes"/>

	<xsl:template match="/">
		<fo:root 	font-family="'Times New Roman', 'Times', serif"
					font-size="12pt"	>
			<fo:layout-master-set>
				<!-- B5 page size -->
				<fo:simple-page-master master-name="page"
					page-width="176mm" page-height="250mm" margin="1cm">
					<fo:region-body margin="16pt 0" />
					<fo:region-before extent="16pt" />
				</fo:simple-page-master>
			</fo:layout-master-set>

			<fo:page-sequence master-reference="page">
				<fo:static-content flow-name="xsl-region-before">
					<fo:block><xsl:value-of select="/d:article/d:info/d:title"/></fo:block>
				</fo:static-content>
				<fo:flow flow-name="xsl-region-body">
					<xsl:apply-templates />
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>

	<xsl:template match="d:article">
		<xsl:apply-templates select="d:info/d:title | d:info/d:subtitle"/>
		<xsl:apply-templates select="d:section"/>
		<xsl:apply-templates select="d:bibliography"/>
	</xsl:template>

	<xsl:template match="d:section">
		<fo:block-container>
			<xsl:apply-templates />
		</fo:block-container>
	</xsl:template>

	<xsl:template match="d:section/*">
		<fo:block>
			<xsl:apply-templates />
		</fo:block>
	</xsl:template>

	<xsl:template match="d:section/d:title">
		<fo:block font-weight="bold" margin="2em 0 1em">
			<xsl:apply-templates />
		</fo:block>
	</xsl:template> <!-- TODO try to format differently titles in sections nested at different level -->

</xsl:stylesheet>
